Bug 605628 - [abrt] crash in tortoisehg-1.0.4-1.fc13: /var/cache/abrt/pyhook-1276864649-4817/reason
[abrt] crash in tortoisehg-1.0.4-1.fc13: /var/cache/abrt/pyhook-1276864649-48...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tortoisehg (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
abrt_hash:689e2951
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 08:38 EDT by ndn
Modified: 2011-06-27 14:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.56 KB, text/plain)
2010-06-18 08:38 EDT, ndn
no flags Details

  None (edit)
Description ndn 2010-06-18 08:38:20 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/hgtk serve
component: tortoisehg
executable: /usr/bin/hgtk
kernel: 2.6.33.5-124.fc13.x86_64
package: tortoisehg-1.0.4-1.fc13
release: Fedora release 13 (Goddard)

backtrace
-----
socket.py:514:create_connection:error: [Errno 111]   

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/serve.py", line 193, in _on_stop_clicked
    self._stop_server()
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/serve.py", line 267, in _stop_server
    gservice.stop()
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/serve.py", line 336, in stop
    conn.request("GET", "/")
  File "/usr/lib64/python2.6/httplib.py", line 898, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.6/httplib.py", line 935, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.6/httplib.py", line 892, in endheaders
    self._send_output()
  File "/usr/lib64/python2.6/httplib.py", line 764, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.6/httplib.py", line 723, in send
    self.connect()
  File "/usr/lib64/python2.6/httplib.py", line 704, in connect
    self.timeout)
  File "/usr/lib64/python2.6/socket.py", line 514, in create_connection
    raise error, msg
error: [Errno 111]   

Local variables in innermost frame:
af: 10
canonname: ''
proto: 6
sock: <socket._socketobject object at 0x1476210>
msg: error(111, '\xd0\x92 \xd1\x81\xd0\xbe\xd0\xb5\xd0\xb4\xd0\xb8\xd0\xbd\xd0\xb5\xd0\xbd\xd0\xb8\xd0\xb8 \xd0\xbe\xd1\x82\xd0\xba\xd0\xb0\xd0\xb7\xd0\xb0\xd0\xbd\xd0\xbe')
host: 'localhost6.localdomain6'
timeout: <object object at 0x7fab9c12e2e0>
res: (10, 1, 6, '', ('::1', 8000, 0, 0))
socktype: 1
sa: ('::1', 8000, 0, 0)
port: 8000
address: ('localhost6.localdomain6', 8000)

How to reproduce
-----
1. start builtin server
2. stop builtin server
3.
Comment 1 ndn 2010-06-18 08:38:22 EDT
Created attachment 425108 [details]
File: backtrace
Comment 2 Mads Kiilerich 2010-06-18 11:15:39 EDT
reported upstream at http://bitbucket.org/tortoisehg/stable/issue/1311/stacktrace-from-serve
Comment 3 Bug Zapper 2011-06-02 06:22:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:31:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.